#version 410 core      

layout (location = 0) in vec3 Position;
layout (location = 1) in vec2 TexCoord;
layout (location = 2) in vec3 Normal;
layout (location = 3) in vec3 Tangent;

uniform mat4 gWVP;
uniform mat4 gWorld; 

out vec3 WorldPos_CS;
out vec2 TexCoord_CS;
out vec3 Normal_CS;

void main()
{
	//WorldPos_CS = (gWorld * vec4(Position,1)).xyz;
	WorldPos_CS =Position;
	TexCoord_CS = TexCoord;
	Normal_CS = normalize((gWorld * vec4(Normal,1)).xyz);
    
}
